/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdPcDevice;
import net.northking.cctp.device.db.mapper.CdPcDeviceMapper;
import net.northking.cctp.device.dto.pcDevice.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * PC设备管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-26 10:56:47  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdPcDeviceDao extends CdPcDeviceMapper
{
    List<CdPcDeviceDetailDto> pagesQuery(CdPcDeviceDto dto);

    List<ScriptPcResultDto> queryScriptDevice(CdPcDeviceScriptDto dto);

    List<ScriptPcResultDto> queryAllPcDevice(CdPcDeviceScriptDto dto);

    List<ScriptPcResultDto> queryPublicPcDevice(CdPcDeviceScriptDto dto);

    List<ScriptPcResultDto> queryPrivatePcDevice(CdPcDeviceScriptDto dto);

    List<CdPcDevice> queryDevice();

    Integer queryDeviceIpAddr(String ipAddr);
}
